set linesize 32000
set pagesize 1000
set long 2000000000
set longchunksize 1000
set head off;
set verify off;
set termout off;
 
column u new_value us noprint;
column n new_value ns noprint;
 
select name n from v$database;
select user u from dual;
set sqlprompt &ns:&us>

set head on
set echo on
set termout on
set trimspool on

set timing on

spool &ns.create.log

set define off

drop table test;

create table test (a char(1),b number);

insert /*+append */ into test 
select 'x',rownum
from dba_objects a, dba_objects b
where rownum < 500001;

commit;

spool off
