set linesize 32000
set pagesize 1000
set long 2000000000
set longchunksize 1000
set head off;
set verify off;
set termout off;
 
column u new_value us noprint;
column n new_value ns noprint;
 
select name n from v$database;
select user u from dual;
set sqlprompt &ns:&us>

set head on
set echo on
set termout on
set trimspool on

spool &ns.dumpresults.log

set define off

select
SOURCETABLE,
BLOCKER,
to_char(SAMPLE_TIME,'YYYY-MM-DD HH24:MI:SS') "Sample Time",
INST_ID,
SID,
USERNAME,
STATUS,
OSUSER,
MACHINE,
PROGRAM,
to_char(LOGON_TIME,'YYYY-MM-DD HH24:MI:SS') "Logon Time",
LAST_CALL_ET,
KGLLKHDL,
KGLLKREQ,
USER_NAME,
KGLNAOBJ,
SQL_ID,
RESOURCE_NAME1,
RESOURCE_NAME2,
SQL_FULLTEXT
from myuser1.library_cache_lock_waits
order by sample_time;

spool off
